# $Revision: 1.198 $, $Date: 2008/08/30 01:13:27 $
# TODO
# - make build create /dev/std{in,out,err} links
# - reject install in %%pretrans if /proc/virtual/info has incompatible version
# - unpackaged
#   /etc/rc.d/init.d/util-vserver -- # integrate to our initscript (util-vserver sets the path to vshelper and kills all guest processes)
# - move to main pkg:
#  vserver initng delete
#  /usr/lib64/util-vserver/vserver.delete: line 19: /usr/lib64/util-vserver/vserver-build.functions: No such file or directory
#  /usr/lib64/util-vserver/vserver.delete: line 20: /usr/lib64/util-vserver/vserver-build.functions.pkgmgmt: No such file or directory
#  or move the delete func to -build
# - make pkgmgmnt internalize modify poldek conf to unignore vserver-packages
#
# m68k and mips are the only not supported archs
#
# Conditional build:
%bcond_without	dietlibc		# don't use dietlibc (ask for troubles)
%bcond_without	doc			# don't build documentation which needed LaTeX
%bcond_without	no_dynamic_context	# disable enforcement of disabled dynamic context
%bcond_with	xalan			# use the xalan xslt processor
#
%define	_vproc_version 0.01
# diet compile fails with ccache in %{__cc}
%undefine	with_ccache
#
Summary:	Linux virtual server utilities
Summary(pl.UTF-8):	Narzędzia dla linuksowych serwerów wirtualnych
Name:		util-vserver
Version:	0.30.215
Release:	9
License:	GPL
Group:		Applications/System
Source0:	http://ftp.linux-vserver.org/pub/utils/util-vserver/%{name}-%{version}.tar.bz2
# Source0-md5:	befd9b8e5311e87395b67ee381d83649
Source1:	vprocunhide.init
Source2:	vservers.init
Source3:	vservers-legacy.init
Source4:	rebootmgr.init
Source5:	vservers.sysconfig
Source6:	vservers-legacy.sysconfig
Source7:	vrootdevices.init
Source8:	vrootdevices.sysconfig
# A bit of documentation explaining package management
# http://www.paul.sladen.org/vserver/archives/200505/0078.html
Source9:	%{name}-pkgmgmt.txt
Source10:	%{name}-initpost.sh
Source11:	http://www.13thfloor.at/vserver/s_release/v1.2.10/vproc-%{_vproc_version}.tar.bz2
# Source11-md5:	1d030717bdbc958ea4b35fd2410dad85
Source12:	%{name}-vhashify.cron
Source13:	ftp://ftp.pld-linux.org/dists/ac/PLD-2.0-Ac-GPG-key.asc
# Source13-md5:	8e7574d1de2fa95c2c54cd2ee03364c1
Source14:	ftp://ftp.pld-linux.org/dists/th/PLD-3.0-Th-GPG-key.asc
# Source14-md5:	08b29584dd349aac9caa7610131a0a88
Patch0:		%{name}-vsysvwrapper.patch
Patch1:		%{name}-pld.patch
Patch4:		%{name}-m4-diet.patch
Patch5:		%{name}-yum-verb-nogpg.patch
Patch6:		%{name}-build-umask.patch
Patch7:		%{name}-utmpx.patch
Patch8:		%{name}-vprocunhide.patch
Patch9:		%{name}-dev.patch
Patch10:	%{name}-no-dynamic-ctx.patch
Patch11:	%{name}-more-ip.patch
Patch12:	%{name}-rpm-fake-resolver-badperm-errorlogging.patch
Patch13:	%{name}-tmpdir.patch
Patch14:	%{name}-rpmpath.patch
Patch15:	%{name}-interfaces-ignore-cvs-dir.patch
Patch16:	%{name}-personalitymachine.patch
Patch17:	%{name}-backupfiles.patch
Patch18:	%{name}-trunk_fixes.patch
Patch19:	%{name}-vprocunhide-net.patch
Patch20:	%{name}-more-caps.patch
URL:		http://savannah.nongnu.org/projects/util-vserver/
BuildRequires:	autoconf
BuildRequires:	automake >= 1.9
BuildRequires:	beecrypt-devel
%{?with_dietlibc:BuildRequires:	dietlibc-static >= 2:0.29}
BuildRequires:	e2fsprogs-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 1.5.14
%ifarch %{x8664}
BuildRequires:	sed >= 4.0
%endif
BuildRequires:	rpmbuild(macros) >= 1.268
%if %{with doc}
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	libxslt-progs
BuildRequires:	tetex-format-pdflatex
BuildRequires:	tetex-makeindex
# To be removed when tetex-format-pdflatex, tetex-pdftex...
# ...and graphviz packages get fixed
BuildRequires:	ghostscript
BuildRequires:	ghostscript-fonts-std
BuildRequires:	tetex-fonts-jknappen
BuildRequires:	tetex-metafont
%{?with_xalan:BuildRequires:	xalan-j}
%endif
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-lib = %{version}-%{release}
Requires:	diffutils
Requires:	issue
Requires:	mktemp >= 1.5-18
Requires:	rc-scripts
Requires:	tar
Requires:	util-linux
Obsoletes:	util-vserver-core
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with dietlibc}
# binaries created with this option have broken segments when using dietlibc
%define	filterout_ld	-Wl,-z,relro
%endif

# for adapter
%define		_usrbin		/usr/bin
%define		_usrsbin	/usr/sbin
%define		_usrlib		/usr/lib

%description
This package provides the components and a framework to setup virtual
servers. A virtual server runs inside a Linux server. It is
nevertheless highly independent. As such, you can run various services
with normal configuration. The various vservers can't interact with
each other and can't interact with services in the main server.

This requires a special kernel supporting the new new_s_context and
set_ipv4root system call.

This package contains utilities which are required to communicate with
the Linux-Vserver enabled kernel.

%description -l pl.UTF-8
Ten pakiet dostarcza składniki i szkielet do tworzenia wirtualnych
serwerów. Wirtualny serwer działa wewnątrz serwera linuksowego, lecz
jest od niego w dużym stopniu niezależny. Jako taki może uruchamiać
różne usługi z normalną konfiguracją. Różne vserwery nie mogą wchodzić
w interakcję z innymi ani z usługami na głównym serwerze.

Wymaga to specjalnego jądra obsługującego nowe wywołania systemowe
new_s_context i set_ipv4root.

Ten pakiet zawiera narzędzia wymagane do komunikacji z jądrem z
włączonym mechanizmem Linux-Vserver.

%package lib
Summary:	Dynamic libraries for util-vserver
Summary(pl.UTF-8):	Biblioteki dynamiczne dla pakietu util-vserver
Group:		Libraries

%description lib
util-vserver provides the components and a framework to setup virtual
servers. A virtual server runs inside a linux server. It is
nevertheless highly independent. As such, you can run various services
pith normal configuration. The various vservers can't interact with
each other and can't interact with services in the main server.

This package contains the shared libraries needed by all other
'util-vserver' subpackages.

%description lib -l pl.UTF-8
util-vserver dostarcza składniki i szkielet do tworzenia wirtualnych
serwerów. Wirtualny serwer działa wewnątrz serwera linuksowego, lecz
jest od niego w dużym stopniu niezależny. Jako taki może uruchamiać
różne usługi z normalną konfiguracją. Różne vserwery nie mogą wchodzić
w interakcję z innymi ani z usługami na głównym serwerze.

Ten pakiet zawiera biblioteki współdzielone wymagane przez wszystkie
podpakiety util-vserver.

%package devel
Summary:	Development files for Linux vserver libraries
Summary(pl.UTF-8):	Pliki programistyczne dla bibliotek linuksowego vserwera
Group:		Development/Libraries
Requires:	%{name}-lib = %{version}-%{release}

%description devel
This package contains the development files necessary for developing
programs which use vserver library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki programistyczne konieczne do rozwijania
programów używających biblioteki vserver.

%package static
Summary:	Static vserver library
Summary(pl.UTF-8):	Biblioteka statyczna vservera
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static version of vserver library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję biblioteki vservera.

%package build
Summary:	Tools which can be used to build vservers
Summary(pl.UTF-8):	Narzędzia do budowania vserverów
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	vserver-distro-pld = %{version}-%{release}
Conflicts:	poldek < 0.18.8-10

%description build
util-vserver provides the components and a framework to setup virtual
servers. A virtual server runs inside a linux server. It is
nevertheless highly independent. As such, you can run various services
with normal configuration. The various vservers can't interact with
each other and can't interact with services in the main server.

This package contains utilities which assist in building Vservers.

%description build -l pl.UTF-8
util-vserver dostarcza składniki i szkielet do tworzenia wirtualnych
serwerów. Wirtualny serwer działa wewnątrz serwera linuksowego, lecz
jest od niego w dużym stopniu niezależny. Jako taki może uruchamiać
różne usługi z normalną konfiguracją. Różne vserwery nie mogą wchodzić
w interakcję z innymi ani z usługami na głównym serwerze.

Ten pakiet zawiera narzędzia pomagające przy budowaniu Vserwerów.

%package init
Summary:	initscripts for vserver
Summary(pl.UTF-8):	Skrypty inicjalizujące dla vserwera
Group:		Applications/System
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	diffutils
Requires:	make
Requires:	rc-scripts

%description init
util-vserver provides the components and a framework to setup virtual
servers. A virtual server runs inside a linux server. It is
nevertheless highly independent. As such, you can run various services
with normal configuration. The various vservers can't interact with
each other and can't interact with services in the main server.

This package contains the SysV initscripts which start and stop
Vservers and related tools.

%description init -l pl.UTF-8
util-vserver dostarcza składniki i szkielet do tworzenia wirtualnych
serwerów. Wirtualny serwer działa wewnątrz serwera linuksowego, lecz
jest od niego w dużym stopniu niezależny. Jako taki może uruchamiać
różne usługi z normalną konfiguracją. Różne vserwery nie mogą wchodzić
w interakcję z innymi ani z usługami na głównym serwerze.

Ten pakiet zawiera skrypty inicjalizujące SysV uruchamiające i
zatrzymujące Vserwery oraz powiązane narzędzia.

%package legacy
Summary:	Legacy utilities for util-vserver
Summary(pl.UTF-8):	Stare narzędzia dla util-vserver
Group:		Applications/System
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts

%description legacy
util-vserver provides the components and a framework to setup virtual
servers. A virtual server runs inside a linux server. It is
nevertheless highly independent. As such, you can run various services
with normal configuration. The various vservers can't interact with
each other and can't interact with services in the main server.

This package contains the tools which are needed to work with Vservers
having an old-style configuration.

%description legacy -l pl.UTF-8
util-vserver dostarcza składniki i szkielet do tworzenia wirtualnych
serwerów. Wirtualny serwer działa wewnątrz serwera linuksowego, lecz
jest od niego w dużym stopniu niezależny. Jako taki może uruchamiać
różne usługi z normalną konfiguracją. Różne vserwery nie mogą wchodzić
w interakcję z innymi ani z usługami na głównym serwerze.

Ten pakiet zawiera narzędzia potrzebne do pracy z Vserwerami mającymi
konfigurację w starym stylu.

%package -n vserver-distro-alpine
Summary:	VServer build template for Alpine Linux
Summary(pl.UTF-8):	Szablon budowania VServerów dla dystrybucji Alpine Linux
Group:		Applications/System
Requires:	%{name}-build = %{version}-%{release}

%description -n vserver-distro-alpine
VServer build template for Alpine Linux.

%description -n vserver-distro-alpine -l pl.UTF-8
Szablon budowania VServerów dla dystrybucji Alpine Linux.

%package -n vserver-distro-centos
Summary:	VServer build template for CentOS
Summary(pl.UTF-8):	Szablon budowania VServerów dla dystrybucji CentOS
Group:		Applications/System
Requires:	%{name}-build = %{version}-%{release}
Requires:	yum

%description -n vserver-distro-centos
VServer build template for CentOS 4.2 and 5.

%description -n vserver-distro-centos -l pl.UTF-8
Szablon budowania VServerów dla dystrybucji CentOS 4.2 i 5.

%package -n vserver-distro-debian
Summary:	VServer build templates for Debian
Summary(pl.UTF-8):	Szablony do tworzenia VServerów dla dystrybucji Debian
Group:		Applications/System
Requires:	%{name}-build = %{version}-%{release}
Requires:	dpkg

%description -n vserver-distro-debian
VServer build templates for Debian.

%description -n vserver-distro-debian -l pl.UTF-8
Szablony do tworzenia VServerów dla dystrybucji Debian.

%package -n vserver-distro-fedora
Summary:	VServer build templates for Fedora
Summary(pl.UTF-8):	Szablony do tworzenia VServerów dla dystrybucji Fedora
Group:		Applications/System
Requires:	%{name}-build = %{version}-%{release}
Requires:	binutils
Requires:	e2fsprogs
Requires:	rpm
Requires:	wget
Requires:	yum

%description -n vserver-distro-fedora
VServer build templates for Fedora Core 1,2,3,4,5,6 and Fedora 7.

%description -n vserver-distro-fedora -l pl.UTF-8
Szablony do tworzenia VServerów dla dystrybucji Fedora Core
1,2,3,4,5,6 oraz Fedora 7.

%package -n vserver-distro-gentoo
Summary:	VServer build template for Gentoo
Summary(pl.UTF-8):	Szablon budowania VServerów dla Gentoo
Group:		Applications/System
Requires:	%{name}-build = %{version}-%{release}

%description -n vserver-distro-gentoo
VServer build template for Gentoo.

%description -n vserver-distro-gentoo -l pl.UTF-8
Szablon budowania VServerów dla Gentoo.

%package -n vserver-distro-pld
Summary:	VServer build templates for PLD Linux
Summary(pl.UTF-8):	Szablony do tworzenia VServerów dla dystrybucji PLD Linux
Group:		Applications/System
Requires:	%{name}-build = %{version}-%{release}
Requires:	/etc/pld-release
Requires:	poldek >= 0.30

%description -n vserver-distro-pld
VServer build templates for PLD Linux.

%description -n vserver-distro-pld -l pl.UTF-8
Szablony do tworzenia VServerów dla dystrybucji PLD Linux.

%package -n vserver-distro-redhat
Summary:	VServer build template for Red Hat Linux 9
Summary(pl.UTF-8):	Szablon do tworzenia VServerów dla dystrybucji Red Hat Linux 9
Group:		Applications/System
Requires:	%{name}-build = %{version}-%{release}
Requires:	binutils
Requires:	e2fsprogs
Requires:	rpm
Requires:	wget

%description -n vserver-distro-redhat
VServer build template for RedHat Linux 9.

%description -n vserver-distro-redhat -l pl.UTF-8
Szablon do tworzenia VServerów dla dystrybucji Red Hat Linux 9.

%package -n vserver-distro-suse
Summary:	VServer build template for SuSE 9.1
Summary(pl.UTF-8):	Szablon do tworzenia VServerów dla dystrybucji SuSE 9.1
Group:		Applications/System
Requires:	%{name}-build = %{version}-%{release}
Requires:	binutils
Requires:	e2fsprogs
Requires:	rpm
Requires:	wget

%description -n vserver-distro-suse
VServer build template for SuSE Linux 9.1.

%description -n vserver-distro-suse -l pl.UTF-8
Szablon do tworzenia VServerów dla dystrybucji SuSE 9.1.

%package -n vserver-distro-ubuntu
Summary:	VServer build templates for Ubuntu
Summary(pl.UTF-8):	Szablony do tworzenia VServerów dla dystrybucji Ubuntu
Group:		Applications/System
Requires:	%{name}-build = %{version}-%{release}
Requires:	dpkg

%description -n vserver-distro-ubuntu
VServer build templates for Ubuntu.

%description -n vserver-distro-ubuntu -l pl.UTF-8
Szablony do tworzenia VServerów dla dystrybucji Ubuntu.

%prep
%setup -q -a11
%patch0 -p1
%patch1 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%{?with_no_dynamic_context:%patch10 -p1}
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1

install %{SOURCE9} package-management.txt

%build
unset LD_SYMBOLIC_FUNCTIONS || :

%if %{with dietlibc}
CFLAGS="%{rpmcflags} -D__GLIBC__ -D__KERNEL_STRICT_NAMES=1 -U__STRICT_ANSI__"
%endif
%{__libtoolize}
%{__aclocal} -I m4
%{__automake}
%{__autoconf}
%configure \
	--with-initrddir=/etc/rc.d/init.d \
	--enable-release \
	--enable-apis=NOLEGACY \
	--with-initscripts=sysv \
	--%{?with_dietlibc:en}%{!?with_dietlibc:dis}able-dietlibc \
	MKTEMP=/bin/mktemp \
	MOUNT=/bin/mount \
	PS=/bin/ps \
	UMOUNT=/bin/umount \
	IP=/sbin/ip \
	IPTABLES=%{_usrsbin}/iptables \
	MODPROBE=/sbin/modprobe \
	NAMEIF=/sbin/nameif \
	RMMOD=/sbin/rmmod \
	VCONFIG=/sbin/vconfig \
	WGET=%{_usrbin}/wget \

%{__make} all
%{?with_doc:%{__make} doc}

%{__make} -C vproc-%{_vproc_version} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/vservers,/etc/{sysconfig,rc.d/init.d,cron.d},/dev/pts} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/vservices,/vservers/.pkg}

%{__make} -j1 install install-distribution \
	DESTDIR=$RPM_BUILD_ROOT

chmod -R +rX $RPM_BUILD_ROOT%{_libdir}/%{name}/distributions/*

for i in $RPM_BUILD_ROOT/etc/rc.d/init.d/v_* ; do
	s=`basename $i | sed s/v_//`
	cat >$RPM_BUILD_ROOT%{_sysconfdir}/vservices/$s << EOF
# IP addresses/interfaces to bound $s service to
#IP=10.0.0.1
#IP=eth0
EOF
done

sed 's|%{_usrlib}/util-vserver|%{_libdir}/%{name}|g' %{SOURCE1} > \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/vprocunhide
sed 's|%{_usrlib}/util-vserver|%{_libdir}/%{name}|g' %{SOURCE2} > \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/vservers
sed 's|%{_usrlib}/util-vserver|%{_libdir}/%{name}|g' %{SOURCE3} > \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/vservers-legacy
sed 's|%{_usrlib}/util-vserver|%{_libdir}/%{name}|g' %{SOURCE4} > \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/rebootmgr
sed 's|%{_usrlib}/util-vserver|%{_libdir}/%{name}|g' %{SOURCE5} > \
	$RPM_BUILD_ROOT/etc/sysconfig/vservers

install %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/vservers-legacy

install %{SOURCE7} $RPM_BUILD_ROOT/etc/rc.d/init.d/vrootdevices
install %{SOURCE8} $RPM_BUILD_ROOT/etc/sysconfig/vrootdevices
install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/distributions/pld
install %{SOURCE10} $RPM_BUILD_ROOT%{_libdir}/%{name}/distributions/pld/initpost
ln -s ../pld/initpost $RPM_BUILD_ROOT%{_libdir}/%{name}/distributions/pld-ac/initpost
ln -s ../pld/initpost $RPM_BUILD_ROOT%{_libdir}/%{name}/distributions/pld-th/initpost
%ifarch i586 i686 %{x8664} athlon pentium2 pentium3 pentium4
ln -s ../pld/initpost $RPM_BUILD_ROOT%{_libdir}/%{name}/distributions/pld-ti/initpost
%endif
install vproc-%{_vproc_version}/vproc $RPM_BUILD_ROOT%{_sbindir}
install %{SOURCE12} $RPM_BUILD_ROOT%{_libdir}/%{name}/vhashify.cron

cat > $RPM_BUILD_ROOT/etc/cron.d/vservers << EOF
02 2 * * 0      root    %{_libdir}/%{name}/vhashify.cron
EOF

install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/distributions/pld-ac/pubkeys
cp -a %{SOURCE13} $RPM_BUILD_ROOT%{_libdir}/%{name}/distributions/pld-ac/pubkeys/pld-ac.asc

install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/distributions/pld-th/pubkeys
cp -a %{SOURCE14} $RPM_BUILD_ROOT%{_libdir}/%{name}/distributions/pld-th/pubkeys/pld-th.asc

# set arch for pld-ac in pld.conf
%ifarch i586 i686 ppc sparc alpha athlon
%define		_ftp_arch	%{_target_cpu}
%endif
%ifarch %{x8664}
%define		_ftp_arch	amd64
%endif
%ifarch i486
%define		_ftp_arch	i386
%endif
%ifarch pentium2 pentium3 pentium4
%define		_ftp_arch	i686
%endif
%ifarch sparcv9 sparc64
%define		_ftp_arch	sparc
%endif
%{__sed} -i -e 's|%%ARCH%%|%{_ftp_arch}|' $RPM_BUILD_ROOT%{_sysconfdir}/vservers/.distributions/pld-ac/poldek/repos.d/pld.conf

# set arch for pld-th in pld.conf
%ifarch i486 i686 ppc sparc alpha athlon
%define		_ftp_arch	%{_target_cpu}
%endif
%ifarch %{x8664}
%define		_ftp_arch	x86_64
%endif
%ifarch i586
%define		_ftp_arch	i486
%endif
%ifarch pentium2 pentium3 pentium4
%define		_ftp_arch	i686
%endif
%ifarch sparcv9 sparc64
%define		_ftp_arch	sparc
%endif
%{__sed} -i -e 's|%%ARCH%%|%{_ftp_arch}|' $RPM_BUILD_ROOT%{_sysconfdir}/vservers/.distributions/pld-th/poldek/repos.d/pld.conf

%ifarch i586 i686 %{x8664} athlon pentium2 pentium3 pentium4
# set arch for pld-ti in pld.conf
%ifarch i586 i686
%define		_ftp_arch	%{_target_cpu}
%endif
%ifarch %{x8664}
%define		_ftp_arch	x86_64
%endif
%ifarch athlon pentium2 pentium3 pentium4
%define		_ftp_arch	i686
%endif
%{__sed} -i -e 's|%%ARCH%%|%{_ftp_arch}|' $RPM_BUILD_ROOT%{_sysconfdir}/vservers/.distributions/pld-ti/poldek/repos.d/pld.conf
%endif

cat <<'EOF' > $RPM_BUILD_ROOT%{_libdir}/%{name}/distributions/defaults/rpm/platform
# first platform file entry can't contain regexps
%{_target_cpu}-%{_target_vendor}-linux

# x86_64 things
%ifarch x86_64
amd64-[^-]*-linux(-gnu)?
x86_64-[^-]*-linux(-gnu)?
%endif
%ifarch amd64
amd64-[^-]*-linux(-gnu)?
x86_64-[^-]*-linux(-gnu)?
%endif
%ifarch ia32e
ia32e-[^-]*-linux(-gnu)?
x86_64-[^-]*-linux(-gnu)?
%endif

# x86 things
%ifarch athlon %{x8664}
athlon-[^-]*-linux(-gnu)?
%endif
%ifarch pentium4 athlon %{x8664}
pentium4-[^-]*-linux(-gnu)?
%endif
%ifarch pentium3 pentium4 athlon %{x8664}
pentium3-[^-]*-linux(-gnu)?
%endif
%ifarch i686 pentium3 pentium4 athlon %{x8664}
i686-[^-]*-linux(-gnu)?
%endif
%ifarch i586 i686 pentium3 pentium4 athlon %{x8664}
i586-[^-]*-linux(-gnu)?
%endif
%ifarch i486 i586 i686 pentium3 pentium4 athlon %{x8664}
i486-[^-]*-linux(-gnu)?
%endif
%ifarch %{ix86} %{x8664}
i386-[^-]*-linux(-gnu)?
%endif

%ifarch alpha
alpha-[^-]*-linux(-gnu)?
%endif

%ifarch ia64
ia64-[^-]*-linux(-gnu)?
%endif

%ifarch ppc64
powerpc64-[^-]*-linux(-gnu)?
ppc64-[^-]*-linux(-gnu)?
%endif
%ifarch ppc ppc64
powerpc-[^-]*-linux(-gnu)?
ppc-[^-]*-linux(-gnu)?
%endif

%ifarch s390x
s390x-[^-]*-linux(-gnu)?
%endif
%ifarch s390 s390x
s390-[^-]*-linux(-gnu)?
%endif

%ifarch sparc64
sparc64-[^-]*-linux(-gnu)?
sparcv8-[^-]*-linux(-gnu)?
sparcv9-[^-]*-linux(-gnu)?
%endif
%ifarch sparcv9
sparcv8-[^-]*-linux(-gnu)?
sparcv9-[^-]*-linux(-gnu)?
%endif
%ifarch sparc sparcv9 sparc64
sparc-[^-]*-linux(-gnu)?
%endif

# noarch
noarch-[^-]*-.*
EOF

# current debootstrap link
echo "http://ftp.debian.org/debian/pool/main/d/debootstrap/debootstrap_1.0.10_all.deb" \
	> $RPM_BUILD_ROOT%{_libdir}/%{name}/defaults/debootstrap.uri

install -d $RPM_BUILD_ROOT/var/cache/vservers/poldek

# we have our own initscript which does the same
rm -f $RPM_BUILD_ROOT/etc/rc.d/init.d/vservers-default
rm -f $RPM_BUILD_ROOT/etc/rc.d/init.d/util-vserver
rm -rf $RPM_BUILD_ROOT/dev
rm -f $RPM_BUILD_ROOT%{_libdir}/util-vserver/vserver-wrapper
rm -f $RPM_BUILD_ROOT%{_libdir}/util-vserver/vserver-init.functions
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/vservers.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/setattr --barrier /vservers || :

%post	lib -p /sbin/ldconfig
%postun	lib -p /sbin/ldconfig

%post init
/sbin/chkconfig --add vrootdevices
/sbin/chkconfig --add vprocunhide
/sbin/chkconfig --add vservers
if [ ! -f /var/lock/subsys/vrootdevices ]; then
	echo "Type \"/sbin/service vrootdevices start\" to assign virtual root devices" 1>&2
fi
if [ ! -f /var/lock/subsys/vprocunhide ]; then
	echo "Type \"/sbin/service vprocunhide start\" to set /proc visibility for vservers" 1>&2
fi
if [ ! -f /var/lock/subsys/vservers ]; then
	echo "Type \"/sbin/service vservers start\" to start vservers" 1>&2
fi

%preun init
if [ "$1" = "0" ]; then
	%service vservers stop
	%service vprocunhide stop
	%service vrootdevices stop
	/sbin/chkconfig --del vservers
	/sbin/chkconfig --del vprocunhide
	/sbin/chkconfig --del vrootdevices
fi

%post legacy
/sbin/chkconfig --add rebootmgr
/sbin/chkconfig --add vservers-legacy
if [ ! -f /var/lock/subsys/rebootmgr ] ; then
	echo "Type \"/sbin/service rebootmgr start\" to start reboot manager for legacy vservers" 1>&2
fi
if [ ! -f /var/lock/subsys/vservers-legacy ] ; then
	echo "Type \"/sbin/service vservers-legacy start\" to start legacy vservers" 1>&2
fi

%preun legacy
if [ "$1" = "0" ]; then
	%service rebootmgr stop
	%service vservers-legacy stop
	/sbin/chkconfig --del rebootmgr
	/sbin/chkconfig --del vservers-legacy
fi

%triggerpostun -n vserver-distro-pld -- util-vserver-build < 0.30.215-1.1
for D in ac th ti; do
	P=%{_sysconfdir}/vservers/.distributions/pld-$D/poldek

	if [ -f $P/pld-source.conf.rpmsave ]; then
		cp -f $P/repos.d/pld.conf{,.rpmnew}
		mv -f $P/pld-source.conf.rpmsave $P/repos.d/pld.conf
	fi
done
exit 0

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS THANKS doc/intro.txt
%{?with_doc:%doc doc/*.html}
%dir %{_sysconfdir}/vservers
%dir %{_sysconfdir}/vservers/.defaults
%dir %{_sysconfdir}/vservers/.defaults/apps
%dir %{_sysconfdir}/vservers/.defaults/files
%{_sysconfdir}/vservers/.defaults/vdirbase
%{_sysconfdir}/vservers/.defaults/cachebase
%{_sysconfdir}/vservers/.defaults/run.rev
/sbin/vshelper
%attr(755,root,root) %{_sbindir}/chbind
%attr(755,root,root) %{_sbindir}/chcontext
%attr(755,root,root) %{_sbindir}/chxid
%attr(755,root,root) %{_sbindir}/exec-cd
%attr(755,root,root) %{_sbindir}/lsxid
%attr(755,root,root) %{_sbindir}/naddress
%attr(755,root,root) %{_sbindir}/nattribute
%attr(755,root,root) %{_sbindir}/ncontext
%attr(755,root,root) %{_sbindir}/reducecap
%attr(755,root,root) %{_sbindir}/setattr
%attr(755,root,root) %{_sbindir}/showattr
%attr(755,root,root) %{_sbindir}/vattribute
%attr(755,root,root) %{_sbindir}/vcontext
%attr(755,root,root) %{_sbindir}/vdlimit
%attr(755,root,root) %{_sbindir}/vnamespace
%attr(755,root,root) %{_sbindir}/vkill
%attr(755,root,root) %{_sbindir}/vlimit
%attr(755,root,root) %{_sbindir}/vdevmap
%attr(755,root,root) %{_sbindir}/vdu
%attr(755,root,root) %{_sbindir}/vmemctrl
%attr(755,root,root) %{_sbindir}/vmount
%attr(755,root,root) %{_sbindir}/vproc
%attr(755,root,root) %{_sbindir}/vps
%attr(755,root,root) %{_sbindir}/vpstree
%attr(755,root,root) %{_sbindir}/vspace
%attr(755,root,root) %{_sbindir}/vrsetup
%attr(755,root,root) %{_sbindir}/vsched
%attr(755,root,root) %{_sbindir}/vserver
%attr(755,root,root) %{_sbindir}/vserver-info
%attr(755,root,root) %{_sbindir}/vserver-stat
%attr(755,root,root) %{_sbindir}/vsomething
%attr(755,root,root) %{_sbindir}/vtag
%attr(755,root,root) %{_sbindir}/vtop
%attr(755,root,root) %{_sbindir}/vuname
%attr(755,root,root) %{_sbindir}/vwait
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/defaults
%{_libdir}/%{name}/FEATURES.txt
%{_libdir}/%{name}/util-vserver-vars
%{_libdir}/%{name}/defaults/context.start
%{_libdir}/%{name}/defaults/environment
%{_libdir}/%{name}/defaults/h2ext.desc
%{_libdir}/%{name}/defaults/mtab
%{_libdir}/%{name}/defaults/vprocunhide-files
%attr(755,root,root) %{_libdir}/%{name}/capchroot
%attr(755,root,root) %{_libdir}/%{name}/chain-echo
%attr(755,root,root) %{_libdir}/%{name}/chbind-compat
%attr(755,root,root) %{_libdir}/%{name}/check-unixfile
%attr(755,root,root) %{_libdir}/%{name}/chcontext-compat
%attr(755,root,root) %{_libdir}/%{name}/chroot-sh
%attr(755,root,root) %{_libdir}/%{name}/exec-ulimit
%attr(755,root,root) %{_libdir}/%{name}/fakerunlevel
%attr(755,root,root) %{_libdir}/%{name}/filetime
%{_libdir}/%{name}/functions
%attr(755,root,root) %{_libdir}/%{name}/h2ext
%attr(755,root,root) %{_libdir}/%{name}/h2ext-worker
%attr(755,root,root) %{_libdir}/%{name}/keep-ctx-alive
%attr(755,root,root) %{_libdir}/%{name}/lockfile
%attr(755,root,root) %{_libdir}/%{name}/mask2prefix
%attr(755,root,root) %{_libdir}/%{name}/readlink
%attr(755,root,root) %{_libdir}/%{name}/save_ctxinfo
%attr(755,root,root) %{_libdir}/%{name}/secure-mount
%attr(755,root,root) %{_libdir}/%{name}/sigexec
%attr(755,root,root) %{_libdir}/%{name}/start-vservers
%attr(755,root,root) %{_libdir}/%{name}/tunctl
%attr(755,root,root) %{_libdir}/%{name}/vprocunhide
%{_libdir}/%{name}/vserver.*
%attr(755,root,root) %{_libdir}/%{name}/vserver-build
%attr(755,root,root) %{_libdir}/%{name}/vservers.grabinfo.sh
%attr(755,root,root) %{_libdir}/%{name}/vhashify
%attr(755,root,root) %{_libdir}/%{name}/vhashify.cron
%attr(755,root,root) %{_libdir}/%{name}/vshelper
%attr(755,root,root) %{_libdir}/%{name}/vshelper-sync
%attr(755,root,root) %{_libdir}/%{name}/vsysctl
%{_mandir}/man8/chbind.8*
%{_mandir}/man8/chcontext.8*
%{_mandir}/man8/reducecap.8*
%{_mandir}/man8/vps.8*
%{_mandir}/man8/vpstree.8*
%{_mandir}/man8/vserver-stat.8*
%{_mandir}/man8/vserver.8*
%{_mandir}/man8/vtop.8*
%attr(000,root,root) %dir /vservers
%dir /vservers/.pkg
%dir %{_localstatedir}/run/vservers
%dir %{_localstatedir}/run/vservers.rev
%dir %{_localstatedir}/run/vshelper
%dir /var/cache/vservers
%dir /var/cache/vservers/poldek

%files lib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvserver.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvserver.so.0

%files devel
%defattr(644,root,root,755)
%{?with_doc:%doc lib/apidoc/latex/refman.pdf lib/apidoc/html}
%attr(755,root,root) %{_libdir}/libvserver.so
%{_libdir}/lib*.la
%{_includedir}/vserver*.h
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libvserver.a

%files build
%defattr(644,root,root,755)
%doc contrib/yum*.patch package-management.txt
%dir %{_sysconfdir}/vservers/.defaults/apps/vunify
%dir %{_sysconfdir}/vservers/.defaults/apps/vunify/hash
%dir %{_sysconfdir}/vservers/.distributions
%dir %{_sysconfdir}/vservers/.distributions/.common
%dir %{_sysconfdir}/vservers/.distributions/.common/pubkeys
%attr(755,root,root) %{_libdir}/%{name}/rpm-fake*
%dir %{_libdir}/%{name}/distributions
%{_libdir}/%{name}/distributions/defaults
%dir %{_libdir}/%{name}/distributions/template
%attr(755,root,root) %{_libdir}/%{name}/distributions/template/initpost
%attr(755,root,root) %{_libdir}/%{name}/distributions/template/initpre
%dir %{_libdir}/%{name}/distributions/redhat
%attr(755,root,root) %{_libdir}/%{name}/distributions/redhat/initpost
%attr(755,root,root) %{_libdir}/%{name}/distributions/redhat/initpre
%attr(755,root,root) %{_libdir}/%{name}/distributions/redhat/rc.sysinit
%{_libdir}/%{name}/vserver-setup.functions
%{_libdir}/%{name}/vserver-build.*
%{_libdir}/%{name}/defaults/fstab
%{_libdir}/%{name}/defaults/debootstrap.*
%{_libdir}/%{name}/defaults/vunify-exclude
%attr(755,root,root) %{_libdir}/%{name}/pkgmgmt
%attr(755,root,root) %{_libdir}/%{name}/vapt-get-worker
%attr(755,root,root) %{_libdir}/%{name}/vclone
%attr(755,root,root) %{_libdir}/%{name}/vcopy
%attr(755,root,root) %{_libdir}/%{name}/vpkg
%attr(755,root,root) %{_libdir}/%{name}/vpoldek-worker
%attr(755,root,root) %{_libdir}/%{name}/vrpm-*
%attr(755,root,root) %{_libdir}/%{name}/vserver-build
%attr(755,root,root) %{_libdir}/%{name}/vunify
%attr(755,root,root) %{_libdir}/%{name}/vyum-worker
%attr(755,root,root) %{_sbindir}/vapt-get
%attr(755,root,root) %{_sbindir}/vpoldek
%attr(755,root,root) %{_sbindir}/vrpm
%attr(755,root,root) %{_sbindir}/vyum
%{_mandir}/man8/vserver-build.8*

%files init
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/vsysvwrapper
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/vrootdevices
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/vservers
%config(noreplace) %verify(not md5 mtime size) /etc/cron.d/vservers
%attr(754,root,root) /etc/rc.d/init.d/vprocunhide
%attr(754,root,root) /etc/rc.d/init.d/vrootdevices
%attr(754,root,root) /etc/rc.d/init.d/vservers

%files legacy
%defattr(644,root,root,755)
%dir %{_sysconfdir}/vservices
%{_sysconfdir}/vservices/*
%dir %{_libdir}/%{name}/legacy
%attr(755,root,root) %{_libdir}/%{name}/legacy/*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/vservers-legacy
%attr(754,root,root) /etc/rc.d/init.d/v_*
%attr(754,root,root) /etc/rc.d/init.d/rebootmgr
%attr(754,root,root) /etc/rc.d/init.d/vservers-legacy
%attr(755,root,root) %{_sbindir}/vserver-copy
%{_mandir}/man8/distrib-info.8*
%{_mandir}/man8/rebootmgr.8*
%{_mandir}/man8/vserver-copy.8*

%files -n vserver-distro-alpine
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/distributions/alpine
%attr(755,root,root) %{_libdir}/%{name}/distributions/alpine/initpost
%attr(755,root,root) %{_libdir}/%{name}/distributions/alpine/initpre

%files -n vserver-distro-centos
%defattr(644,root,root,755)
%{_libdir}/util-vserver/distributions/centos*

%files -n vserver-distro-debian
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/distributions/debian
%{_libdir}/%{name}/distributions/debian/debootstrap.script
%attr(755,root,root) %{_libdir}/%{name}/distributions/debian/initpost
%{_libdir}/%{name}/distributions/etch
%{_libdir}/%{name}/distributions/lenny
%{_libdir}/%{name}/distributions/sid

%files -n vserver-distro-fedora
%defattr(644,root,root,755)
%dir %{_sysconfdir}/vservers/.distributions/f7
%dir %{_sysconfdir}/vservers/.distributions/f7/apt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vservers/.distributions/f7/apt/sources.list
%dir %{_sysconfdir}/vservers/.distributions/fc*
%dir %{_sysconfdir}/vservers/.distributions/fc*/apt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vservers/.distributions/fc*/apt/sources.list
%{_libdir}/%{name}/distributions/f7
%{_libdir}/%{name}/distributions/f8
%{_libdir}/%{name}/distributions/fc*

%files -n vserver-distro-gentoo
%defattr(644,root,root,755)
%dir %{_libdir}/util-vserver/distributions/gentoo
%attr(755,root,root) %{_libdir}/util-vserver/distributions/gentoo/*
%attr(755,root,root) %{_sbindir}/vdispatch-conf
%attr(755,root,root) %{_sbindir}/vemerge
%attr(755,root,root) %{_sbindir}/vesync
%attr(755,root,root) %{_sbindir}/vupdateworld

%files -n vserver-distro-pld
%defattr(644,root,root,755)
%dir %{_libdir}/%{name}/distributions/pld
%attr(755,root,root) %{_libdir}/%{name}/distributions/pld/initpost
%dir %{_libdir}/%{name}/distributions/pld-*
%{_libdir}/%{name}/distributions/pld-*/pkgs
%{_libdir}/%{name}/distributions/pld-*/pubkeys
%{_libdir}/%{name}/distributions/pld-*/rpm
%attr(755,root,root) %{_libdir}/%{name}/distributions/pld-*/initpost
%dir %{_sysconfdir}/vservers/.distributions/pld-ac
%dir %{_sysconfdir}/vservers/.distributions/pld-ac/poldek
%dir %{_sysconfdir}/vservers/.distributions/pld-ac/poldek/repos.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vservers/.distributions/pld-ac/poldek/repos.d/*.conf
%dir %{_sysconfdir}/vservers/.distributions/pld-th
%dir %{_sysconfdir}/vservers/.distributions/pld-th/poldek
%dir %{_sysconfdir}/vservers/.distributions/pld-th/poldek/repos.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vservers/.distributions/pld-th/poldek/repos.d/*.conf
%ifarch i586 i686 %{x8664} athlon pentium2 pentium3 pentium4
%dir %{_sysconfdir}/vservers/.distributions/pld-ti
%dir %{_sysconfdir}/vservers/.distributions/pld-ti/poldek
%dir %{_sysconfdir}/vservers/.distributions/pld-ti/poldek/repos.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vservers/.distributions/pld-ti/poldek/repos.d/*.conf
%endif

%files -n vserver-distro-redhat
%defattr(644,root,root,755)
%dir %{_sysconfdir}/vservers/.distributions/rh*
%dir %{_sysconfdir}/vservers/.distributions/rh*/apt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vservers/.distributions/rh*/apt/sources.list
%{_libdir}/%{name}/distributions/rh*

%files -n vserver-distro-suse
%defattr(644,root,root,755)
%dir %{_sysconfdir}/vservers/.distributions/suse*
%dir %{_sysconfdir}/vservers/.distributions/suse*/apt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vservers/.distributions/suse*/apt/sources.list
%{_libdir}/%{name}/distributions/suse*

%files -n vserver-distro-ubuntu
%defattr(644,root,root,755)
%{_libdir}/%{name}/distributions/breezy
%{_libdir}/%{name}/distributions/dapper
%{_libdir}/%{name}/distributions/edgy
%{_libdir}/%{name}/distributions/feisty
%{_libdir}/%{name}/distributions/gutsy
%{_libdir}/%{name}/distributions/hoary
%{_libdir}/%{name}/distributions/warty

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: util-vserver.spec,v $
Revision 1.198  2008/08/30 01:13:27  arekm
- current debootstrap url; don't duplicate files

Revision 1.197  2008/08/18 21:01:50  glen
- add todo

Revision 1.196  2008/07/30 22:53:08  glen
- some include deps problems

Revision 1.195  2008/07/20 08:11:28  qboosh
- no attr(-,...)

Revision 1.194  2008/06/19 08:21:17  arekm
- rel 9; filterout -Wl,-z,relro which break dietlibc binaries

Revision 1.193  2008/06/18 14:33:33  zbyniu
- more-caps.patch for new caps in .24+ kernels; rel 8

Revision 1.192  2008/05/28 10:30:05  arekm
- rel 7; turn verbose mode in yum and disable gpg checking (makes it work with latest yums)

Revision 1.191  2008-05-24 21:56:06  zbyniu
- vprocunhide-net.patch added for kernels .25+; rel 6

Revision 1.190  2008-05-23 07:04:42  hawk
- added bug fixes from trunk version, helps for capset() problem on 2.6.25.x
- release 5

Revision 1.189  2008-04-29 20:57:28  glen
- use /var/cache/... for poldek cache
- treat *~ as backup files not just *.~*~
- force /tmp tmppath for rpm to overcome various rpm problems
- rel 4

Revision 1.188  2008-03-29 13:45:59  hawk
- release 3

Revision 1.187  2008-03-28 21:56:45  glen
- merge from AC-branch

Revision 1.186  2008-03-28 15:05:54  hawk
- include pld-ti template only on architectures supported by PLD Titanium

Revision 1.185  2008-03-28 14:51:20  glen
- revert fake pld-XX-i686 distros, use --machine and --personality
- see http://www.pld-linux.org/Vserver for usage

Revision 1.184  2008-03-28 14:50:02  hawk
- more _ftp_arch fixes, we should catch as many possibilities as possible,
  ie. th vserver on ac host, ac vserver on th-i486 host and much much more

Revision 1.183  2008-03-28 14:34:29  hawk
- pld-<dist>-i686 templates are back for x86_64 hosts

Revision 1.182  2008-03-28 14:02:01  hawk
- s/i486/i386/ in poldeks pld.conf for ac chroots on th-i486 hosts

Revision 1.181  2008-03-28 13:56:38  hawk
- set proper arch in poldeks pld.conf for pld-ac and pld-ti (wasn't old method better?)
- still non-integer release, pld-<dist>-i686 distros have vanished and must be restored

Revision 1.180  2008-03-28 13:44:34  hawk
- non-integer release, _ftp_arch macro is Th specific and must be fixed

Revision 1.179  2008-03-28 13:39:00  hawk
- don't be Th specific

Revision 1.178  2008-03-28 12:15:22  glen
- i was confused, only %includedir enabled poldek is needed

Revision 1.177  2008-03-28 10:33:22  hawk
- package Ac GPG key too

Revision 1.176  2008-03-28 10:23:32  hawk
- package Fedora 8 and Alpine Linux templates
- sorted %packages

Revision 1.175  2008-03-27 16:49:27  glen
- merged packaging update from AC-branch; rel 2

Revision 1.174  2008-03-17 15:38:36  zbyniu
- up to 0.30.215

Revision 1.173  2008-03-10 21:49:13  arekm
- yum needed for fc

Revision 1.172  2008-03-04 14:40:46  glen
- add -rpmpath.patch from AC-branch

Revision 1.171  2008-03-03 10:27:50  glen
- ignore CVS dirs in interfaces/*

Revision 1.170  2008-03-01 13:16:17  undefine
- detect arch name and when is amd64 - use amd64 not x8664 (allow build and use on ac)

Revision 1.169  2007-12-31 14:20:21  glen
- fix ubuntu and debian pl charset

Revision 1.168  2007-11-15 13:36:51  hawk
- added PLD Titanium to available distributions
- release 4

Revision 1.167  2007-11-06 11:42:44  arekm
- rel 3

Revision 1.166  2007/09/30 21:50:56  glen
- more

Revision 1.165  2007/09/30 21:50:09  glen
- be specific to avoid confusion; typos

Revision 1.164  2007/09/30 12:24:57  arekm
- -build needs wget and binutils

Revision 1.163  2007/09/28 23:15:55  arekm
- vrpm patch is obsolete (tested)

Revision 1.162  2007/09/28 23:08:45  baggins
- diabled vrpm patch (looks fixed upstream, needs testing)

Revision 1.161  2007/09/28 23:06:34  arekm
- compat header also not needed

Revision 1.160  2007/09/28 23:04:45  baggins
- removed include patch, it's not needed (vserver developers say that
  anything from that file should be in kernel headers)

Revision 1.159  2007/09/24 13:50:39  baggins
- removed unnecessary symlinks

Revision 1.158  2007/09/07 18:51:03  qboosh
- debian attr fix (merged from AC-branch, by hawk)

Revision 1.157  2007/09/07 15:34:04  qboosh
- debian and ubuntu require dpkg, not rpm

Revision 1.156  2007/09/07 15:25:28  qboosh
- merged new distros (debian,ubuntu,f7) from AC-branch
- tar is already required by base package

Revision 1.155  2007/09/07 15:11:45  qboosh
- consistent package order, sorted distros

Revision 1.154  2007/09/06 18:56:25  patrys
- rel. 2 (vrpm patch changed)

Revision 1.153  2007/09/02 21:33:00  zbyniu
- up to 0.30.214

Revision 1.152  2007/08/30 08:57:49  glen
- resolve TMPDIR issue; rel 7

Revision 1.151  2007/08/07 19:50:14  arekm
- rel 6

Revision 1.150  2007/07/22 13:13:05  arekm
- rel 5

Revision 1.149  2007/07/21 19:49:51  arekm
- rel 4; provide basic rpm/platform for vservers

Revision 1.148  2007/07/08 19:20:08  adamg
- Requires: tar (required by `vserver pkgmgmt internalize')
- relase 3

Revision 1.147  2007/06/28 07:38:21  arekm
- rel 2; package centos5 templates; fix build on non x8664 host

Revision 1.146  2007/05/29 17:29:31  arekm
- added pld-ac-i686 and pld-th-i686 for x86_64 host

Revision 1.145  2007/05/07 22:54:25  zbyniu
- up to 0.30.213

Revision 1.144  2007/05/07 22:34:34  arekm
- add -D__KERNEL_STRICT_NAMES=1 to make it built with new llh; parallel install is broken so limit to 1 job

Revision 1.143  2007/05/07 22:23:28  arekm
- fix pld-source.conf for x86_64->amd64, i486->i386 in case of pld-ac template

Revision 1.142  2007/03/06 22:15:36  glen
- AC-branch merge

Revision 1.141  2007/03/06 21:45:38  glen
- distro-* packages require -build; rel 7

Revision 1.140  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.139  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.138  2007/02/08 20:22:34  arekm
- rel 6

Revision 1.137  2007/02/08 17:47:31  glen
- tools can break things

Revision 1.136  2007/02/06 20:04:50  arekm
- disable symbolic functions

Revision 1.135  2007/02/04 18:17:27  arekm
- rel 4; no glibc64 on th

Revision 1.134  2007/02/04 18:07:51  arekm
- rel 3

Revision 1.133  2007/02/04 17:31:09  arekm
- rel 2; PLD Th support added

Revision 1.132  2007/01/11 21:35:14  glen
- typo

Revision 1.131  2007/01/11 21:01:52  zbyniu
- vserver-distro-gentoo package

Revision 1.130  2006/12/17 01:19:22  zbyniu
- more files

Revision 1.129  2006/12/16 22:05:43  zbyniu
- typo

Revision 1.128  2006/12/16 22:01:21  zbyniu
- up to 0.30.212

Revision 1.127  2006/11/19 15:52:52  qboosh
- formatting

Revision 1.126  2006/11/19 12:22:04  emes
- added Req: mktemp 1.5 rel 18 is required for scripts to run properly

Revision 1.125  2006/11/04 20:53:07  qboosh
- sorted BRs

Revision 1.124  2006/11/04 17:55:40  emes
- added BuildReq e2fsprogs-devel
- works well (tested), increased release number

Revision 1.123  2006/10/14 13:51:14  emes
- even more scripts added

Revision 1.122  2006/10/14 13:35:19  emes
- added missing scripts to package

Revision 1.121  2006/10/13 09:51:11  blues
- added vhashify.cron and enabled it as cronjob

Revision 1.120  2006/06/16 00:27:56  glen
- update to latest syscall implementation (skiny10 patch)
- add -rpm-fake-resolver-badperm-errorlogging.patch

Revision 1.119  2006/06/15 17:46:33  glen
- rel 8

Revision 1.118  2006/06/09 08:07:53  arekm
- build subpackage requires which

Revision 1.117  2006/05/29 19:06:08  glen
- add -namespace-cleanup and -delete patches

Revision 1.116  2006/05/15 08:25:15  arekm
- more ips per vserver (128)

Revision 1.115  2006/04/21 10:05:52  glen
- allow disabling enforcement of no dynamic context (dynamic contexts
  work fine for me. and reconfiguring all vservers is PITA)

Revision 1.114  2006/04/18 17:07:09  baggins
- release 7
- barf if vserver has context id unset
- build requires /etc/pld-release

Revision 1.113  2006/03/26 17:59:46  blues
- cosmetics

Revision 1.112  2006/03/22 15:07:59  baggins
- release 6

Revision 1.111  2006/03/13 19:38:28  glen
- fixed distributions/template/* permissions

Revision 1.110  2006/03/06 11:22:32  glen
- create /dev/tty0 for mc in vserver build

Revision 1.109  2006/03/06 11:09:38  glen
- unhide /proc/mounts symlink

Revision 1.108  2006/03/03 09:32:39  glen
- add vproc utility
- trigger to remove old base packages from ignore list of poldek.conf

Revision 1.107  2006/03/01 21:24:33  glen
- use %service

Revision 1.106  2006/03/01 21:01:02  glen
- drop vserver-dev package, /dev tree is under %_netsharedpath and provides are in vserver-packages, rel 5

Revision 1.105  2006/02/27 22:11:02  glen
- drop P devfs (used only by devfsd)

Revision 1.104  2006/02/27 09:13:51  glen
- -build R: e2fsprogs due chattr requirement
- package /var/cache/vservers for now
- small adapterize

Revision 1.103  2006/02/22 19:22:55  glen
- /var/cache/vservers is needed somewhy?

Revision 1.102  2006/02/07 22:04:23  glen
- cmon, how many times do i have to fix this damn typo; rel 4

Revision 1.101  2006/02/07 18:14:26  baggins
- release 3
- stop vservers in reverse order

Revision 1.100  2006/02/07 14:46:19  baggins
- release 2
- fix init scripts and sysconfig

Revision 1.99  2006/01/30 19:23:47  baggins
- release 1
- don't make incompat changes so --enable-apis=NOLEGACY

Revision 1.98  2006/01/30 19:03:04  baggins
- started update to 0.30.210

Revision 1.97  2006/01/24 12:17:19  baggins
- release 3

Revision 1.96  2006/01/21 13:18:00  baggins
- don't overwrtite new poldek.conf with old one in trigger as the format
  of the file has changed, just save it as .rpmsave in proper place

Revision 1.95  2006/01/20 15:54:30  baggins
- fixed running %pre/%post scripts in vrpm
- updated poldek config to 0.20 style
- merged pld and build-poldek patches

Revision 1.94  2006/01/14 10:38:23  glen
- dist dir is pld-ac

Revision 1.93  2006/01/13 23:16:50  baggins
- release 2

Revision 1.92  2006/01/13 16:35:05  hawk
- added R: issue (w/o it "vserver /etc/vservers/test build" will fail while
  checking for /etc/pld-release)

Revision 1.91  2006/01/13 09:35:23  glen
- still typo

Revision 1.90  2006/01/12 22:50:26  glen
- fix typo
- add initpost script for pld

Revision 1.89  2005/12/16 14:51:59  baggins
- release 1

Revision 1.88  2005/11/23 14:50:25  baggins
- added new init scripts to files

Revision 1.87  2005/11/23 14:41:26  baggins
- fixed source enumeration

Revision 1.86  2005/11/22 18:06:43  baggins
- added vroot support via init scripts

Revision 1.85  2005/11/16 17:14:23  baggins
- updated %%files

Revision 1.84  2005/11/16 17:06:10  baggins
- FINALLY I got all BRs for docs

Revision 1.83  2005/11/07 17:14:16  baggins
- cleaned up patches
- use new init script and sysconfig

Revision 1.82  2005/11/07 12:42:16  baggins
- updated to 0.30.209
- removed obsolete patches
- added distro-centos package

Revision 1.81  2005/10/24 21:46:26  qboosh
- pl for new packages

Revision 1.80  2005/10/24 00:16:07  baggins
- removed wrong init patch, added utmpx patch

Revision 1.79  2005/10/22 23:16:02  glen
- split distro specific configs to cut down deps on build package

Revision 1.78  2005/10/21 20:58:25  baggins
- added init path to sanitize vserver stopping

Revision 1.77  2005/10/20 09:29:23  glen
- don't assist to start services that are already up in %post

Revision 1.76  2005/10/19 11:47:41  glen
- fix macros substititution

Revision 1.75  2005/10/13 23:38:33  romke
- fixed dietlibc build with linux-libc-headers-2.6.12,
  on 2.6.12 even if you !define WANT_KERNEL_TYPES you must use GLIBC
  to not use types from types.h,
- release 2.2, STBR (test-build --with dietlibc).

Revision 1.74  2005/10/13 18:20:52  baggins
- release 2.1
- added -mounted patch to accommodate for building vservers
  in mounted filesystems (e.g. if /vserver/sth is a mountpoint)

Revision 1.73  2005/10/13 14:12:11  romke
- vwait timeout fix,
- release 2, STBR.

Revision 1.72  2005/10/09 09:53:07  glen
- adapterized

Revision 1.71  2005/10/07 17:23:02  glen
- rel 1

Revision 1.70  2005/08/15 21:06:57  baggins
- set sane umask in vserver-build (problems with mkdir -p and umask 077)

Revision 1.69  2005/08/15 18:18:24  baggins
- added cpuset support (/etc/vserver/<vserver>/cpuset)

Revision 1.68  2005/08/11 16:25:18  darekr
- fixed BR with sed

Revision 1.67  2005/08/08 22:19:43  baggins
- updated %files
- added autoconf

Revision 1.66  2005/08/08 21:54:24  baggins
- started update to 0.30.208
- removed obsolete patches
- no more exclusive arch

Revision 1.65  2005/07/11 11:22:18  baggins
- release 9
- updated kernel interface

Revision 1.64  2005/07/07 12:47:34  baggins
- fixed patching

Revision 1.63  2005/07/07 12:43:54  baggins
- release 8
- more complete fix for size_t problem

Revision 1.62  2005/07/07 12:03:55  baggins
- release 7
- fix rpm-fake-resolver on non-32bit archs

Revision 1.61  2005/07/01 18:15:38  qboosh
- use x8664 macro in EA, no macro in Obsoletes

Revision 1.60  2005/07/01 18:10:28  baggins
- exclusivearch added

Revision 1.59  2005/07/01 17:57:12  baggins
- release 6
- small add-ons in post scripts

Revision 1.58  2005/06/30 17:59:44  baggins
- on x8664 glibc is called glibc64

Revision 1.57  2005/06/30 17:46:24  baggins
- fix dietlibc version check in m4 macros

Revision 1.56  2005/06/30 17:03:55  baggins
- fix lib/lib64 problem in initscripts

Revision 1.55  2005/06/30 15:43:50  baggins
- merged core with main package (it was unneedded entity)
- cleaned up duplicate %files

Revision 1.54  2005/06/30 15:21:55  baggins
- req(post) vserver-core in main package

Revision 1.53  2005/06/30 14:21:03  baggins
- new poldek and patch

Revision 1.52  2005/06/18 14:58:31  romke
- added BR: libtool

Revision 1.51  2005/06/17 16:22:08  baggins
- release 5 to rebuild with beecrypt 4.1

Revision 1.50  2005/06/07 12:23:09  baggins
- added include patch
- install needed include file

Revision 1.49  2005/06/07 11:23:21  baggins
- devel packege req only lib package

Revision 1.48  2005/06/06 16:05:17  mwinkler
- R util-vserver-core

Revision 1.47  2005/06/06 15:42:17  mwinkler
- BR: move to bcond

Revision 1.46  2005/06/06 15:17:13  mwinkler
- BR: graphviz(/usr/bin/dot) doc

Revision 1.45  2005/06/06 15:13:56  baggins
- set proper dietlibc BR

Revision 1.44  2005/06/06 15:09:04  baggins
- tell configure where ip program is

Revision 1.43  2005/06/06 14:18:58  mwinkler
- req: +autoconf

Revision 1.42  2005/05/24 15:36:15  baggins
- small cleanup in requires/conflicts

Revision 1.41  2005/05/24 14:59:01  baggins
- release 4
- works like charm :)

Revision 1.40  2005/05/23 21:51:34  baggins
- release 3.4
- C: poldek without --rpmcmd

Revision 1.39  2005/05/20 23:12:50  baggins
- release 3.3
- fixed BR dietlibc-static
- with dietlibc by default (or ask for trouble)

Revision 1.38  2005/05/20 18:03:30  baggins
- release 3.2
- work in progress on kosher poldek support

Revision 1.37  2005/05/17 20:45:44  baggins
- release 3
- strict BR
- config noreplace for config files
- systematized %files for build package

Revision 1.36  2005/05/17 16:10:47  baggins
- release 2
- cleaned up doc/xalan bconds
- added pld patch (support for building pld vserver)
- cleaned up poldek patch
- tell configure where some programs are to avoid too many BRs

Revision 1.35  2005/05/16 17:31:59  baggins
- removed vlan BR (set via configure)

Revision 1.34  2005/05/16 17:24:15  baggins
- release 1.6
- added poldek build patch
- added support for pld
- (u)mount resides in /bin

Revision 1.33  2005/05/15 10:45:57  baggins
- do not obsolete real life dev package

Revision 1.32  2005/05/14 20:12:36  baggins
- cleaned up BRs for doc bcond

Revision 1.31  2005/05/14 20:04:59  baggins
- removed %post from vserver-dev, it won't work (prereq problem) :(

Revision 1.30  2005/05/11 20:50:11  zbyniu
- doc bcond description

Revision 1.29  2005/05/11 20:43:03  zbyniu
- added without_doc bcond
- removed BR e2fsprogs-devel; added path to nameif

Revision 1.28  2005/05/11 08:50:58  zbyniu
- BR: beecrypt-devel, libstdc++-devel; BRs sorted
- paths to iptables, mount, umount in %configure

Revision 1.27  2005/05/10 17:39:48  baggins
- release 1
- removed b0rken log entry
- works for me

Revision 1.26  2005/05/10 17:01:09  baggins
- removed apt dependency as we don't use it

Revision 1.25  2005/05/10 08:30:19  baggins
- release 0.6
- fixed vserver-dev package

Revision 1.23  2005/05/09 17:44:56  baggins
- changed dev subpackage name to vserver-dev
- added /dev/initctl -> /dev/null
- BIG FAT WARNING in %post vserver-dev

Revision 1.22  2005/05/08 12:39:08  baggins
- release 0.5
- added dev subpackage for systems in Vservers

Revision 1.21  2005/05/08 12:15:48  baggins
- release 0.4
- fixed typo in init scripts
- fixed %files

Revision 1.20  2005/05/07 21:58:10  baggins
- BR: doxygen

Revision 1.19  2005/05/07 20:50:56  qboosh
- pl for new packages, some unification

Revision 1.18  2005/05/07 00:58:17  baggins
- did the split ;)
- TODO removed

Revision 1.17  2005/05/06 17:11:56  baggins
- fixed attr for legacy programs

Revision 1.16  2005/05/06 16:57:03  baggins
- typo

Revision 1.15  2005/05/06 16:38:21  baggins
- added init scripts

Revision 1.14  2005/05/06 14:46:23  baggins
- fixed BRs

Revision 1.13  2005/05/06 14:44:34  baggins
- release 0.2
- builds but NFY

Revision 1.12  2005/05/06 11:35:35  baggins
- fixed URL

Revision 1.11  2005/05/06 11:33:51  baggins
- started update to 0.30.207
- release 0.1

Revision 1.10  2005/04/18 11:50:42  baggins
- release 0.2
- updated %files

Revision 1.9  2004/12/24 20:26:23  marcus
- updated to version 0.30 (kernel need patches, %files must be fixed), nfy

Revision 1.8  2004/10/31 14:59:28  paladine
- spaces->tabs

Revision 1.7  2004/01/27 10:16:45  qboosh
- some cleanups/unifications, no attr(-,,)
- maxpath patch removed (missing in repo and not needed with fixed gkh)

Revision 1.6  2004/01/25 11:28:18  arekm
- fixed so lib location

Revision 1.5  2004/01/25 01:48:53  arekm
- builds

Revision 1.4  2004/01/25 01:41:11  arekm
- started work on it

Revision 1.3  2003/11/04 22:33:12  qboosh
- removed COPYING from doc (just GPL)
- added intro.txt instead of some empty/404 ones

Revision 1.2  2003/11/04 20:21:04  qboosh
- pl, some cleanups

Revision 1.1  2003/11/04 17:09:42  arekm
- new/raw
